Bug 789360 - Review Request: rfcdiff - Compares two internet draft files and outputs the difference
Summary: Review Request: rfcdiff - Compares two internet draft files and outputs the d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-10 15:21 UTC by Richard Shaw
Modified: 2012-03-08 04:58 UTC (History)
3 users (show)

Fixed In Version: rfcdiff-1.41-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-06 20:47:28 UTC
Type: ---
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard Shaw 2012-02-10 15:21:08 UTC
Spec URL: http://hobbes1069.fedorapeople.org/rfcdiff/rfcdiff.spec
SRPM URL: http://hobbes1069.fedorapeople.org/rfcdiff/rfcdiff-1.41-1.fc16.src.rpm
Description:
The purpose of this program is to compare two versions of an
internet-draft, and as output produce a diff in one of several
formats:
- side-by-side html diff
- paged wdiff output in a text terminal
- a text file with changebars in the left margin
- a simple unified diff output

In all cases, internet-draft headers and footers are stripped before
generating the diff, to produce a cleaner diff.

rpmlint output:
$ rpmlint rpmbuild/rfcdiff/SRPMS/rfcdiff-1.41-1.fc16.src.rpm rpmbuild/rfcdiff/RPMS/noarch/rfcdiff-1.41-1.fc16.noarch.rpm
rfcdiff.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
rfcdiff.src: W: spelling-error %description -l en_US wdiff -> diff, whiff, w diff
rfcdiff.src: W: spelling-error %description -l en_US changebars -> change bars, change-bars, changers
rfcdiff.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
rfcdiff.noarch: W: spelling-error %description -l en_US wdiff -> diff, whiff, w diff
rfcdiff.noarch: W: spelling-error %description -l en_US changebars -> change bars, change-bars, changers
rfcdiff.noarch: E: incorrect-fsf-address /usr/share/doc/rfcdiff-1.41/copyright
rfcdiff.noarch: E: zero-length /usr/share/doc/rfcdiff-1.41/todo
2 packages and 0 specfiles checked; 2 errors, 6 warnings.

Comment 1 Matthias Runge 2012-02-12 09:17:58 UTC
I'll take this one.

Comment 2 Matthias Runge 2012-02-13 10:10:10 UTC
Just some small notes prior formal review:

during mockbuild, I get the following error:

+ export LANG
+ unset DISPLAY
+ make manpage
./rfcdiff --help | txt2man -t "rfcdiff 1" > rfcdiff.1
/bin/sh: txt2man: command not found
make: *** [rfcdiff.1] Error 127
rm rfcdiff.1
error: Bad exit status from /var/tmp/rpm-tmp.JYm0b4 (%build)

Seems like txt2man is not marked as BuildRequirement.

Could you please try to resolve the rpmlint-error

E: incorrect-fsf-address /usr/share/doc/rfcdiff-1.41/copyright

(this normally requires upstream to correct copyright)?

Comment 3 Richard Shaw 2012-02-14 14:25:40 UTC
(In reply to comment #2)
> Just some small notes prior formal review:
> 
> during mockbuild, I get the following error:
> 
> + export LANG
> + unset DISPLAY
> + make manpage
> ./rfcdiff --help | txt2man -t "rfcdiff 1" > rfcdiff.1
> /bin/sh: txt2man: command not found
> make: *** [rfcdiff.1] Error 127
> rm rfcdiff.1
> error: Bad exit status from /var/tmp/rpm-tmp.JYm0b4 (%build)
> 
> Seems like txt2man is not marked as BuildRequirement.
> 
> Could you please try to resolve the rpmlint-error

Fixed!

 
> E: incorrect-fsf-address /usr/share/doc/rfcdiff-1.41/copyright
> 
> (this normally requires upstream to correct copyright)?

Yes, we're not allowed to patch license files. I'll report upstream.

Spec URL: http://hobbes1069.fedorapeople.org/rfcdiff/rfcdiff.spec
SRPM URL:
http://hobbes1069.fedorapeople.org/rfcdiff/rfcdiff-1.41-2.fc16.src.rpm

Comment 4 Matthias Runge 2012-02-16 13:02:54 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint rfcdiff-1.41-2.fc18.noarch.rpm

rfcdiff.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
rfcdiff.noarch: W: spelling-error %description -l en_US wdiff -> diff, whiff, w diff
rfcdiff.noarch: W: spelling-error %description -l en_US changebars -> change bars, change-bars, changers
rfcdiff.noarch: E: incorrect-fsf-address /usr/share/doc/rfcdiff-1.41/copyright
rfcdiff.noarch: E: zero-length /usr/share/doc/rfcdiff-1.41/todo
1 packages and 0 specfiles checked; 2 errors, 3 warnings.


rpmlint rfcdiff-1.41-2.fc18.src.rpm

rfcdiff.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
rfcdiff.src: W: spelling-error %description -l en_US wdiff -> diff, whiff, w diff
rfcdiff.src: W: spelling-error %description -l en_US changebars -> change bars, change-bars, changers
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/789360/rfcdiff-1.41.tgz :
  MD5SUM this package     : f480e4a571aa39f8e3e788f771568ca8
  MD5SUM upstream package : f480e4a571aa39f8e3e788f771568ca8

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint rfcdiff-1.41-2.fc18.noarch.rpm

rfcdiff.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
rfcdiff.noarch: W: spelling-error %description -l en_US wdiff -> diff, whiff, w diff
rfcdiff.noarch: W: spelling-error %description -l en_US changebars -> change bars, change-bars, changers
rfcdiff.noarch: E: incorrect-fsf-address /usr/share/doc/rfcdiff-1.41/copyright
rfcdiff.noarch: E: zero-length /usr/share/doc/rfcdiff-1.41/todo
1 packages and 0 specfiles checked; 2 errors, 3 warnings.


rpmlint rfcdiff-1.41-2.fc18.src.rpm

rfcdiff.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
rfcdiff.src: W: spelling-error %description -l en_US wdiff -> diff, whiff, w diff
rfcdiff.src: W: spelling-error %description -l en_US changebars -> change bars, change-bars, changers
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


I see no blocker, you should remove the empty file and try to get upstream to correct fsf-address.

Package APPROVED

Comment 5 Richard Shaw 2012-02-19 19:47:25 UTC
New Package SCM Request
=======================
Package Name: rfcdiff
Short Description: Compares two internet draft files and outputs the difference
Owners: hobbes1069
Branches: f16 f17
InitialCC:

Comment 6 Gwyn Ciesla 2012-02-19 20:43:48 UTC
Git done (by process-git-requests).

Comment 7 Richard Shaw 2012-02-19 20:55:12 UTC
Thanks for the review!

Comment 8 Fedora Update System 2012-02-27 17:38:57 UTC
rfcdiff-1.41-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rfcdiff-1.41-2.fc16

Comment 9 Fedora Update System 2012-02-27 17:39:06 UTC
rfcdiff-1.41-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rfcdiff-1.41-2.fc17

Comment 10 Fedora Update System 2012-02-27 22:28:42 UTC
rfcdiff-1.41-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 11 Fedora Update System 2012-03-06 20:47:28 UTC
rfcdiff-1.41-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2012-03-08 03:56:14 UTC
rfcdiff-1.41-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 13 Fedora Update System 2012-03-08 04:58:32 UTC
rfcdiff-1.41-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.